function AE_intp_err=interpolation_error(intp_points,coeffs,RBF_type,...
    RBF_scale,a,b,c,d,f_type)


%------------------------------------------------------------------
% define test points in the rectangle
%------------------------------------------------------------------
N=1000;
x=rand(N,1); y=rand(N,1);
eval_points=[a+(b-a)*x c+(d-c)*y];
plot(eval_points(:,1),eval_points(:,2),'b*'); hold on;

%------------------------------------------------------------------
% eval function
%------------------------------------------------------------------
f=fct2D(x,y,f_type);
f_evalpoints=feval(f,eval_points(:,1),eval_points(:,2));

%------------------------------------------------------------------
% eval RBF
%------------------------------------------------------------------
RBF_intp_evalpoints=RBF_eval(intp_points,eval_points,coeffs,RBF_type,...
    RBF_scale);

%------------------------------------------------------------------
% eval AE
%------------------------------------------------------------------
AE_intp_err=max(abs(RBF_intp_evalpoints-f_evalpoints));